--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Registers botmodule <em>botmodule</em> with map <em>map</em>. This adds the map to the #maps hash which has three keys:"
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "botmodule:"
    body: the associated botmodule
  - !ruby/struct:SM::Flow::LI 
    label: "auth:"
    body: an array of auth keys checked by the map; the first is the full_auth_path of the map
  - !ruby/struct:SM::Flow::LI 
    label: "map:"
    body: the actual MessageTemplate object
  type: :NOTE
full_name: Irc::Bot::Plugins::PluginManagerClass#register_map
is_singleton: false
name: register_map
params: (botmodule, map)
visibility: public
